from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='chassis',
    version='0.0.1',
    description='basic sdk',
    long_description=long_description,
    url='https://gitea.bearcatlog.com/BryantStudio/chassis',

    author='BryantStudio Engineering',
    author_email='bryantsisu@qq.book',

    license='MIT',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Programming Language :: Python :: 3',
        'Topic :: Software Development :: Libraries :: Python Modules',

        "Programming Language :: Python",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: POSIX",
        "Programming Language :: Python :: 3",
        "Topic :: Internet",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Intended Audience :: Developers",
    ],

    keywords='microservices basic sdk',

    packages=find_packages(exclude=['contrib', 'docs', 'tests']),

    install_requires=[
        'nameko==2.14.1',
        'nameko-tracer==1.3.0',
        'logstash_formatter==0.5.17',
        'circuitbreaker==2.0.0',
        'statsd==4.0.1',
        'gutter==0.5.0',
        'request-id==1.0.1',
        'nameko-sentry==1.0.0',
        'pyopenssl==23.1.1',
    ],
)
